\documentclass[11pt]{beamer}
\usepackage[cp1250]{inputenc}
\usepackage[english]{babel}
\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{graphicx}
\usetheme{default}
\usepackage[export]{adjustbox}
\hypersetup{pdfpagemode=FullScreen}

\definecolor{szafirowy}{RGB}{120,150,207}
\definecolor{granatowy}{RGB}{60,60,76}
\definecolor{wrzosowy}{RGB}{180,160,170}

\setbeamercolor{structure}{fg=granatowy}
\setbeamercolor{frametitle}{fg=granatowy}

\newenvironment{changemargin}[2]{% 
	\begin{list}{}{% 
			\setlength{\topsep}{0pt}% 
			\setlength{\leftmargin}{#1}% 
			\setlength{\rightmargin}{#2}% 
			\setlength{\listparindent}{\parindent}% 
			\setlength{\itemindent}{\parindent}% 
			\setlength{\parsep}{\parskip}% 
		}% 
		\item[]}{\end{list}} 
	
\addtobeamertemplate{frametitle}{}{\vspace{-2em}} % decrease vertical space after frame title
\setbeamertemplate{navigation symbols}{} % no navigation symbols

\begin{document}

{
\setbeamertemplate{background canvas}{\includegraphics{fullbackground.png}}
\begin{frame}
\includegraphics[width=120pt, left=12.5cm]{WEiTI-znak-ENG-RGB.png}
\vspace{0.2cm}
\flushleft{
\large
\textbf{\textcolor{white}{Efficient FPGA-based \\implementation of forwarding engine \\for a White Rabbit Switch\\}}
\vspace{1cm}
\normalsize
MASTER THESIS\\
Supervisor: Ph.D Grzegorz Kasprowicz\\
Author: Magdalena Zarychta
}
\end{frame}
}

\logo{\includegraphics[width=80pt, left=12.5cm]{WEiTI-znak-ENG-RGB.png}}


\setbeamertemplate{footline}[text line]{%
	\parbox{\linewidth}{\vspace{-24pt}\hspace{95pt}{\tiny{XLIII-rd IEEE-SPIE Joint Symposium Wilga 2019}}}
}

{
\begin{changemargin}{-0.2cm}{-0.2cm}
\begin{frame}
\frametitle{White Rabbit}
\includegraphics[scale=0.3]{whiterabbit.png}
\vspace{0.4cm}
\begin{itemize}
	\item sub-nanosecond accuracy and picoseconds precision of synchronization
	\item extending the Precision Time Protocol (PTP, IEEE 1588-2008)
	\item connecting thousands of nodes
	\item typical distances of 10 km between network elements
	\item fully open hardware, firmware and software
\end{itemize}
\end{frame}
\end{changemargin}
}

{
\setbeamertemplate{background canvas}{\includegraphics[height=\paperheight,right=12.8cm]{background.png}}
\begin{frame}
\frametitle{White Rabbit network}
\includegraphics[scale=0.32, right=7cm]{whiterabbitswitch.png} \newline
\end{frame}
}

\begin{frame}
\frametitle{Routing Table Unit - current implementation architecture}
\begin{figure}
	\includegraphics[scale=0.25]{rtu.png}
	\tiny source: CERN-THESIS-2016-283 Methods to Increase Reliability and
	Ensure Determinism in a White Rabbit Network;
	Lipinski, Maciej Marek (Warsaw University of Technology)
\end{figure}
\end{frame}


\begin{frame}
\frametitle{Routing Table Unit requirements}
\begin{itemize}
	\item compatible with 802.1Q (MAC relay) standard
	\item parametrized number of ports
	\item full bandwidth (10Gbit/s on each port)
	\item frequency up to 160 MHz
	\item \{destination MAC address, source MAC address, VLAN ID\} structure as lookup table selector
	\item lookup table atomic updates in the meantime \\(through Wishbone / AXI interface)
\end{itemize}
\end{frame}

{
\setbeamertemplate{background canvas}{\includegraphics[height=\paperheight,right=12.8cm]{background.png}}
\begin{frame}
\frametitle{Scope of the thesis}
\begin{itemize}
	\item <1-> prototyping Routing Table Unit \\implementations with High-Level Synthesis \\methodology
	\item <2-> target Routing Table Unit implementation
	\item <3-> testing with White Rabbit infrastructure
	\item <4-> comparison with state-of-the-art solutions \\like SDNet
\end{itemize}
\end{frame}
}

{
\setbeamertemplate{background canvas}{}
\begin{frame}
\frametitle{Technologies involved}
Advanced verification methods due to the project usage:
\begin{itemize}
	\item code coverage
	\item functional coverage
	\item assertions 
	\item UVM (Universal Verification Methodology) (?)
\end{itemize}
\vspace{0.4cm}
\includegraphics[scale=0.3 ]{questa.png}
\end{frame}
}

{
\setbeamercolor{background canvas}{bg=szafirowy}
\begin{frame}
\Large
\textbf{\textcolor{white}{Thank you for your attention\\}}
\vspace{0.2cm}
\normalsize
\textcolor{white}{Magdalena Zarychta}
\end{frame}
}


\end{document}